post-ingredient-catalog-create¶
Source¶
Repository:
jef-systems/jef-caferimo-backendModule:
caferimoDocumentation Scope:
asyncLambda:
jef-caferimo-post-1
Endpoint¶
API Name:
jef-caferimoAction Name:
postMethod:
POSTScope Label:
AsyncResource Path:
/post-ingredient-catalog-createComplete Endpoint:
https://lfyr4e0eqe.execute-api.ap-southeast-1.amazonaws.com/prod/post-ingredient-catalog-createLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-caferimo-post-1curl payload mode:
json_body
API Gateway Description¶
Function: jef-caferimo-post-1
API Name: jef-caferimo
Action: post
Method: POST
Resource Path: /post-ingredient-catalog-create
Payload:
- jsin: string
- barcode: string
- product_name: string
- product_unit: string
Response:
- exists: boolean
- message: string
- item: {"pk":"string-jsin","gsi_1_pk":"string-barcode","jsin":"string","barcode":"string","product_name":"string","product_unit":"string"}
Request Payload¶
{
"jsin": "string",
"barcode": "string",
"product_name": "string",
"product_unit": "string"
}
Response¶
{
"exists": "boolean",
"message": "string",
"item": "{\"pk\":\"string-jsin\",\"gsi_1_pk\":\"string-barcode\",\"jsin\":\"string\",\"barcode\":\"string\",\"product_name\":\"string\",\"product_unit\":\"string\"}"
}
CMD curl¶
curl -X POST "https://lfyr4e0eqe.execute-api.ap-southeast-1.amazonaws.com/prod/post-ingredient-catalog-create" -H "Content-Type: application/json" --data-raw "{\"jsin\": \"string\", \"barcode\": \"string\", \"product_name\": \"string\", \"product_unit\": \"string\"}"
PowerShell curl¶
curl.exe -X POST "https://lfyr4e0eqe.execute-api.ap-southeast-1.amazonaws.com/prod/post-ingredient-catalog-create" -H "Content-Type: application/json" --data-raw '{"jsin": "string", "barcode": "string", "product_name": "string", "product_unit": "string"}'